function C20 = vypocet(data,druzice,fid)
%

%regrese
[nn,pom] = size(data);

pom = regress(data(:,4) , [ones(nn,1) data(:,1)]);
k = pom(2);
q = pom(1);
fprintf(fid,'  k = %12.8f [rad/den]\n',k);
%fprintf(fid,'  q = %12.8f\n',q);

ae = 6378137; %polomer Zeme
e = data(:,5);
e2 = e .* e;
e2 = 1.-e2;
e2 = e2 .* e2;

n = data(:,8); %stredn denn pohyd
i = data(:,3); %sklon roviny drhy

GM = 398.6004418 * 1e12;
a = (GM ./ data(:,8).^2).^(1/3); %hlavn poloosa
a = a .* a;

C = (2 * k / (3 * 5^0.5 ) / ae^2 .* e2 .* a ./ n ./ cos(i)) ./ 86400; %C20

C20 = sum(C) / nn;
fprintf(fid,'C20 = %12.8f\n',C20);
fprintf(fid,'\n');

%graf
ro = 180/pi;
cla;
clf;
hold on;%prekreslovn
plot(data(:,1),data(:,4)*ro,'r+'); %body

x = data(:,1);
y = ro * (k*x + q);
plot(x,y,'b'); %regresn prmka

title(['druzice ' , druzice , ': casov zmena \Omega']);
xlabel('cas [MJD]'); %popis osy x
ylabel('\Omega []'); %popis osy y
